Package be.fgov.ehealth.dics.protocol.v4

# Class FormCategoryType

java.lang.Object
be.fgov.ehealth.dics.core.v4.refdata.FormCategoryKeyType
be.fgov.ehealth.dics.protocol.v4.FormCategoryType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class FormCategoryType extends FormCategoryKeyType implements Serializable

Java class for FormCategoryType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FormCategoryType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v4:refdata}FormCategoryKeyType">
           <sequence>
             <element name="Description" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultTextType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FormCategoryType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsultTextType`
  `getDescription()`
  Gets the value of the description property.
  `void`
  `setDescription(ConsultTextType value)`
  Sets the value of the description property.

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.refdata.FormCategoryKeyType

  `getCode, setCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FormCategoryType

    public FormCategoryType()

- ## Method Details

  - ### getDescription

    public ConsultTextType getDescription()
    Gets the value of the description property.
    Returns:
      possible object is `ConsultTextType`

  - ### setDescription

    public void setDescription(ConsultTextType value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `ConsultTextType`